summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-ftp/frox
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-ftp/frox')
-rw-r--r--net-ftp/frox/Manifest1
-rw-r--r--net-ftp/frox/files/0.7.18-netfilter-includes.patch16
-rw-r--r--net-ftp/frox/files/0.7.18-respect-CFLAGS.patch15
-rw-r--r--net-ftp/frox/files/config-0.7.18.patch66
-rw-r--r--net-ftp/frox/files/frox-0.7.18-config.patch66
-rw-r--r--net-ftp/frox/files/frox.initd38
-rw-r--r--net-ftp/frox/files/frox.rc46
-rw-r--r--net-ftp/frox/frox-0.7.18-r4.ebuild84
-rw-r--r--net-ftp/frox/frox-0.7.18-r5.ebuild82
-rw-r--r--net-ftp/frox/metadata.xml14
10 files changed, 428 insertions, 0 deletions
diff --git a/net-ftp/frox/Manifest b/net-ftp/frox/Manifest
new file mode 100644
index 00000000000..e282fb51951
--- /dev/null
+++ b/net-ftp/frox/Manifest
@@ -0,0 +1 @@
+DIST frox-0.7.18.tar.bz2 173355 SHA256 f7b637dd108444ff9c2302aa134f434e1606a2f965c01492abfbdc9b1c0bd0fc SHA512 bdffe4b70c91b920378a422dcf386088c3bb34f26e10de8ff57f487ccef6356803c93057eee2b3801a79120a6b2e1618a51dde5bc8c42e13211abf4182c4ff8c WHIRLPOOL 9b7c4d4c2e9e14d1d2d753096b06935fa9ad18ac6fba5c28c05f45b0e5bfb28d9574cdfe649f8cf7bfa0ac666f9e341769db0a57253ac15c72ed1508657de0e1
diff --git a/net-ftp/frox/files/0.7.18-netfilter-includes.patch b/net-ftp/frox/files/0.7.18-netfilter-includes.patch
new file mode 100644
index 00000000000..e40ce52862c
--- /dev/null
+++ b/net-ftp/frox/files/0.7.18-netfilter-includes.patch
@@ -0,0 +1,16 @@
+--- configure.in.ori 2012-03-01 22:32:17.044450088 +0100
++++ configure.in 2012-03-01 22:36:40.995882948 +0100
+@@ -331,7 +331,12 @@
+ AC_HEADER_STDC
+ AC_HEADER_SYS_WAIT
+ AC_CHECK_HEADERS(fcntl.h strings.h sys/ioctl.h sys/time.h syslog.h unistd.h)
+-AC_CHECK_HEADERS(linux/netfilter_ipv4.h, , , [#include <limits.h>])
++AC_CHECK_HEADERS(linux/netfilter_ipv4.h, , ,[
++ #include <limits.h>
++ #include <sys/socket.h>
++ #include <linux/in.h>
++ #include <linux/in6.h>
++])
+
+ dnl Checks for typedefs, structures, and compiler characteristics.
+ AC_C_CONST
diff --git a/net-ftp/frox/files/0.7.18-respect-CFLAGS.patch b/net-ftp/frox/files/0.7.18-respect-CFLAGS.patch
new file mode 100644
index 00000000000..9fb54ac153c
--- /dev/null
+++ b/net-ftp/frox/files/0.7.18-respect-CFLAGS.patch
@@ -0,0 +1,15 @@
+--- configure.in 2005-02-04 11:24:55.000000000 +0100
++++ configure.in 2012-03-01 22:56:25.985725178 +0100
+@@ -46,11 +46,9 @@
+ ;;
+ *)
+ AC_MSG_RESULT(no)
+- CFLAGS="$CFLAGS -O2"
+ ;;
+ esac],
+- [AC_MSG_RESULT(no)
+- CFLAGS="$CFLAGS -O2"]
++ [AC_MSG_RESULT(no)]
+ )
+
+ AC_MSG_CHECKING(whether to compile in profiling info)
diff --git a/net-ftp/frox/files/config-0.7.18.patch b/net-ftp/frox/files/config-0.7.18.patch
new file mode 100644
index 00000000000..216e5ea2672
--- /dev/null
+++ b/net-ftp/frox/files/config-0.7.18.patch
@@ -0,0 +1,66 @@
+--- a/frox.conf 2005-02-04 19:54:55.000000000 +0930
++++ b/frox.conf 2005-02-07 19:35:32.995421344 +0930
+@@ -18,7 +18,9 @@
+ # commented out to listen on all local IPs.
+ #
+ # Listen firewall.localnet
+-Listen 192.168.2.1
++# Listen 192.168.2.1
++
++Listen 127.0.0.1
+
+ # Port to listen on. Must be supplied.
+ #
+@@ -26,7 +28,7 @@
+
+ # If specified then bind to this device
+ #
+-BindToDevice eth0
++#BindToDevice eth0
+
+ # Whether to run from inetd. You should still define Port above, but
+ # it isn't used for much.
+@@ -69,12 +71,12 @@
+ ####################################################################
+ # General Options #
+ ####################################################################
+-# User and group to drop priveliges to. This must be specified - if
++User ftpproxy
+ # you really want to run as root (not a good idea) you must say so
+ # specifically, and have compiled with --enable-run-as-root.
+ #
+-# User nobody
+-# Group nogroup
++User ftpproxy
++Group ftpproxy
+
+ # This is frox's working directory - it must be specified. Temporary
+ # files and sockets will be created here. If you are using local
+@@ -83,7 +85,7 @@
+ # also chroot to this dir on startup. To avoid this you must specifically
+ # set DontChroot to Yes.
+ #
+-# WorkingDir /usr/local/lib/frox
++WorkingDir /var/spool/frox
+ # DontChroot Yes
+
+ # Logging level. 0=No logging. 5=Critical errors only. 10= All errors.
+@@ -96,15 +98,15 @@
+ # transferred irrespective of the log level. You can turn this off
+ # below.
+ #
+-# LogLevel 15
+-# LogFile /usr/local/lib/frox/frox-log
++LogLevel 20
++LogFile /var/log/frox/frox-log
+ # XferLogging no
+
+ # File to store PID in. Default is not to. If this file is not within
+ # the Chroot directory then it cannot be deleted on exit, but will
+ # otherwise work fine.
+ #
+-PidFile /var/run/frox.pid
++PidFile /var/run/frox/frox.pid
+
+
+ ####################################################################
diff --git a/net-ftp/frox/files/frox-0.7.18-config.patch b/net-ftp/frox/files/frox-0.7.18-config.patch
new file mode 100644
index 00000000000..feee37e3674
--- /dev/null
+++ b/net-ftp/frox/files/frox-0.7.18-config.patch
@@ -0,0 +1,66 @@
+--- a/src/frox.conf 2005-02-04 19:54:55.000000000 +0930
++++ b/src/frox.conf 2005-02-07 19:35:32.995421344 +0930
+@@ -18,7 +18,9 @@
+ # commented out to listen on all local IPs.
+ #
+ # Listen firewall.localnet
+-Listen 192.168.2.1
++# Listen 192.168.2.1
++
++Listen 127.0.0.1
+
+ # Port to listen on. Must be supplied.
+ #
+@@ -26,7 +28,7 @@
+
+ # If specified then bind to this device
+ #
+-BindToDevice eth0
++#BindToDevice eth0
+
+ # Whether to run from inetd. You should still define Port above, but
+ # it isn't used for much.
+@@ -69,12 +71,12 @@
+ ####################################################################
+ # General Options #
+ ####################################################################
+-# User and group to drop priveliges to. This must be specified - if
++User ftpproxy
+ # you really want to run as root (not a good idea) you must say so
+ # specifically, and have compiled with --enable-run-as-root.
+ #
+-# User nobody
+-# Group nogroup
++User ftpproxy
++Group ftpproxy
+
+ # This is frox's working directory - it must be specified. Temporary
+ # files and sockets will be created here. If you are using local
+@@ -83,7 +85,7 @@
+ # also chroot to this dir on startup. To avoid this you must specifically
+ # set DontChroot to Yes.
+ #
+-# WorkingDir /usr/local/lib/frox
++WorkingDir /var/spool/frox
+ # DontChroot Yes
+
+ # Logging level. 0=No logging. 5=Critical errors only. 10= All errors.
+@@ -96,15 +98,15 @@
+ # transferred irrespective of the log level. You can turn this off
+ # below.
+ #
+-# LogLevel 15
+-# LogFile /usr/local/lib/frox/frox-log
++LogLevel 20
++LogFile /var/log/frox/frox-log
+ # XferLogging no
+
+ # File to store PID in. Default is not to. If this file is not within
+ # the Chroot directory then it cannot be deleted on exit, but will
+ # otherwise work fine.
+ #
+-PidFile /var/run/frox.pid
++PidFile /var/run/frox/frox.pid
+
+
+ ####################################################################
diff --git a/net-ftp/frox/files/frox.initd b/net-ftp/frox/files/frox.initd
new file mode 100644
index 00000000000..1e4da49d529
--- /dev/null
+++ b/net-ftp/frox/files/frox.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+extra_commands="reload"
+
+FROX_CONFIG="/etc/frox.conf"
+FROX_PID_FILE="/var/run/frox/frox.pid"
+FROX_OPTS="-f ${FROX_CONFIG}"
+
+checkconfig() {
+ local piddir="$(dirname ${FROX_PID_FILE})"
+ checkpath -q -d -o ftpproxy:ftpproxy -m 0770 "${piddir}" || return 1
+ if [ ! -f "${FROX_CONFIG}" ] ; then
+ eerror "missing ${FROX_CONFIG}"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --quiet --exec /usr/sbin/frox -- ${FROX_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/frox --pidfile "${FROX_PID_FILE}"
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading configuration"
+ start-stop-daemon --signal HUP --pidfile "${FROX_PID_FILE}"
+ eend $?
+}
diff --git a/net-ftp/frox/files/frox.rc b/net-ftp/frox/files/frox.rc
new file mode 100644
index 00000000000..87032cd5836
--- /dev/null
+++ b/net-ftp/frox/files/frox.rc
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+PROGNAME=frox
+
+opts="depend start stop reload"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -f /etc/frox.conf ] ; then
+ eerror "missing /etc/frox.conf"
+ return 1
+ fi
+
+}
+
+start() {
+ checkconfig || return 1
+ FROX_OPTS=" -f /etc/frox.conf"
+
+ ebegin "Starting ${PROGNAME}..."
+ start-stop-daemon --start --quiet --exec /usr/sbin/${PROGNAME} -- ${OPTIONS} ${FROX_OPTS} &> /dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stop ${PROGNAME}..."
+ start-stop-daemon --stop --quiet --exec /usr/sbin/${PROGNAME} &> /dev/null
+ eend $?
+}
+
+reload() {
+ if [ ! -f /var/run/frox/frox.pid ]; then
+ eerror "frox isn't running"
+ return 1
+ fi
+ ebegin "Reloading configuration"
+ kill -HUP `cat /var/run/frox/frox.pid` &>/dev/null
+ eend $?
+}
+
diff --git a/net-ftp/frox/frox-0.7.18-r4.ebuild b/net-ftp/frox/frox-0.7.18-r4.ebuild
new file mode 100644
index 00000000000..235ae8b6b29
--- /dev/null
+++ b/net-ftp/frox/frox-0.7.18-r4.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils autotools user
+
+IUSE="clamav ssl transparent"
+
+MY_P=${P/_/}
+S=${WORKDIR}/${MY_P}
+
+DESCRIPTION="A transparent ftp proxy"
+SRC_URI="http://frox.sourceforge.net/download/${MY_P}.tar.bz2"
+HOMEPAGE="http://frox.sourceforge.net/"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 ~ppc x86"
+
+DEPEND="clamav? ( >=app-antivirus/clamav-0.80 )
+ ssl? ( dev-libs/openssl )
+ kernel_linux? ( >=sys-kernel/linux-headers-2.6 )"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ enewgroup ftpproxy
+ enewuser ftpproxy -1 -1 /var/spool/frox ftpproxy
+
+ use clamav && ewarn "Virus scanner potentialy broken in chroot - see bug #81035"
+}
+
+src_prepare () {
+ epatch "${FILESDIR}"/${PV}-respect-CFLAGS.patch
+ epatch "${FILESDIR}"/${PV}-netfilter-includes.patch
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-http-cache --enable-local-cache \
+ --enable-procname \
+ --enable-configfile=/etc/frox.conf \
+ $(use_enable !kernel_linux libiptc) \
+ $(use_enable clamav virus-scan) \
+ $(use_enable ssl) \
+ $(use_enable transparent transparent-data) \
+ $(use_enable !transparent ntp)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ keepdir /var/run/frox
+ keepdir /var/spool/frox
+ keepdir /var/log/frox
+
+ fperms 700 /var/spool/frox
+ fowners ftpproxy:ftpproxy /var/run/frox /var/spool/frox /var/log/frox
+
+ # INSTALL has useful filewall rules
+ dodoc BUGS README \
+ doc/CREDITS doc/ChangeLog doc/FAQ doc/INSTALL \
+ doc/INTERNALS doc/README.transdata doc/RELEASE \
+ doc/SECURITY doc/TODO
+
+ dohtml doc/*.html doc/*.sgml
+
+ mv doc/frox.man doc/frox.man.8
+ mv doc/frox.conf.man doc/frox.conf.man.8
+ doman doc/frox.man.8 doc/frox.conf.man.8
+
+ newinitd "${FILESDIR}"/frox.rc frox
+
+ cd src
+ epatch "${FILESDIR}/config-${PV}.patch"
+
+ cp frox.conf "${D}/etc/frox.conf.example"
+ if use clamav ; then
+ sed -i \
+ -e "s:^# VirusScanner.*:# VirusScanner '\"/usr/bin/clamscan\" \"%s\"':" \
+ "${D}/etc/frox.conf.example" || die
+ fi
+}
diff --git a/net-ftp/frox/frox-0.7.18-r5.ebuild b/net-ftp/frox/frox-0.7.18-r5.ebuild
new file mode 100644
index 00000000000..97666b3db56
--- /dev/null
+++ b/net-ftp/frox/frox-0.7.18-r5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils user
+
+DESCRIPTION="A transparent ftp proxy"
+SRC_URI="http://frox.sourceforge.net/download/${P}.tar.bz2"
+HOMEPAGE="http://frox.sourceforge.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ppc x86"
+
+IUSE="clamav ssl transparent"
+
+DEPEND="clamav? ( >=app-antivirus/clamav-0.80 )
+ ssl? ( dev-libs/openssl )
+ kernel_linux? ( >=sys-kernel/linux-headers-2.6 )"
+RDEPEND="${DEPEND}"
+
+# INSTALL has useful filewall rules
+DOCS=(
+ BUGS README
+ doc/CREDITS doc/ChangeLog doc/FAQ doc/INSTALL
+ doc/INTERNALS doc/README.transdata doc/RELEASE
+ doc/SECURITY doc/TODO
+)
+
+pkg_setup() {
+ enewgroup ftpproxy
+ enewuser ftpproxy -1 -1 /var/spool/frox ftpproxy
+
+ use clamav && ewarn "Virus scanner potentialy broken in chroot - see bug #81035"
+}
+
+src_prepare () {
+ epatch "${FILESDIR}/${PV}-respect-CFLAGS.patch"
+ epatch "${FILESDIR}/${PV}-netfilter-includes.patch"
+ epatch "${FILESDIR}/${P}-config.patch"
+
+ if use clamav ; then
+ sed -i -e "s:^# VirusScanner.*:# VirusScanner '\"/usr/bin/clamscan\" \"%s\"':" \
+ "src/${PN}.conf" || die
+ fi
+
+ epatch_user
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-http-cache --enable-local-cache \
+ --enable-procname \
+ --enable-configfile=/etc/frox.conf \
+ $(use_enable !kernel_linux libiptc) \
+ $(use_enable clamav virus-scan) \
+ $(use_enable ssl) \
+ $(use_enable transparent transparent-data) \
+ $(use_enable !transparent ntp)
+}
+
+src_install() {
+ default
+
+ keepdir /var/{log,spool}/"${PN}"
+
+ fperms 700 /var/spool/frox
+ fowners ftpproxy:ftpproxy /var/{log,spool}/frox
+
+ dohtml doc/*.html doc/*.sgml
+
+ newman "doc/${PN}.man" "${PN}.man.8"
+ newman "doc/${PN}.conf.man" "${PN}.conf.man.5"
+
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+
+ insinto /etc
+ newins "src/${PN}.conf" "${PN}.conf.example"
+}
diff --git a/net-ftp/frox/metadata.xml b/net-ftp/frox/metadata.xml
new file mode 100644
index 00000000000..c10e7012aec
--- /dev/null
+++ b/net-ftp/frox/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>beber@meleeweb.net</email>
+ <name>Bertrand Jacquin</name>
+ <description>Proxied maintainer.</description>
+ </maintainer>
+ <use>
+ <flag name="transparent">Enable transparent proxying of data connections</flag>
+ </use>
+ <longdescription>A transparent ftp proxy</longdescription>
+</pkgmetadata>